import java.io.*;
import javax.imageio.*;
import javax.swing.*;
import java.awt.*;
import java.awt.image.*;

public class BufferedImageLoadExample extends Graphics2DExample{

  public static void main(String args[]){new BufferedImageLoadExample();}

  BufferedImage b;
  
  public BufferedImageLoadExample()
  {
    super();
    
    try
    {
      // Load the image and resize the frame
        b = ImageIO.read(new File("image.jpg"));
        int width = b.getWidth();
        int height = b.getHeight();
        setPreferredSize(new Dimension(width, height));
        frame.pack();
    }
    catch(IOException ioe){System.out.println(ioe.toString());}
  }
  public void paint(Graphics g)
  {
    // paint the image on the JPanel
    Graphics2D g2d = (Graphics2D)g;
    g2d.drawImage(b, 0, 0, this);
  }
}
