import java.awt.*;

public class ImageLoadExample extends GraphicsExample
{
  public static void main(String args[]){new ImageLoadExample();}
  
  Image i;
  
  public ImageLoadExample()
  { 
    super();
    
    // Load the image and resize the frame
    i = Toolkit.getDefaultToolkit().createImage("image.jpg");
    waitForImage(i);
    int width = i.getWidth(this);
    int height = i.getHeight(this);
    setPreferredSize(new Dimension(width, height));
    frame.pack();
  }
  public void paint(Graphics g)
  {
    // Paint the image on the canvas
    g.drawImage(i, 0, 0, this);
  }
  
  // Wait for image 'i' to be loaded
  public void waitForImage(Image i)
  {
    try{
      MediaTracker tracker = new MediaTracker(this);
      tracker.addImage(i,0);
      tracker.waitForAll();
      }catch(InterruptedException e){System.out.println(e);}
  }
}
