import java.awt.*;
import javax.swing.*;

public class AntiAliasingExample extends Graphics2DExample
{
  public static void main(String args[]){new AntiAliasingExample();}
  
  public AntiAliasingExample()
  {
    setPreferredSize(new Dimension(200,200));
    frame.pack();
  }
  
  public void paint(Graphics g)
  {
    Graphics2D g2d = (Graphics2D)g;
   
    // Set the anti-aliasing to the default mode
    g2d.setRenderingHint(RenderingHints.KEY_ANTIALIASING, 
        RenderingHints.VALUE_ANTIALIAS_ON);
    
    int centreX = getWidth()/2; 
    int centreY = getHeight()/2;
    int radMax = getWidth()/2;
    
    // Draw a series of concentric circles
    for(int radius=10; radius<radMax; radius+=10)
    {
      g2d.drawOval(centreX-radius, centreY-radius, radius*2, radius*2);
    }
  }
}
