package basics;

import java.awt.*;
import javax.swing.*;

@SuppressWarnings("serial")
public class Graphics2DExample extends JPanel
{
	public static void main(String args[]){
		new Graphics2DExample();
	}

	JFrame frame = new JFrame();
  
	public Graphics2DExample() {
	    // Initialise the display frame
	    frame.getContentPane().setLayout(new BorderLayout());
	    frame.setSize(512,512);
	    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	    frame.getContentPane().add(this, BorderLayout.CENTER);
	    frame.setVisible(true);
	}
  
	public void paint(Graphics g) {
		Graphics2D g2d = (Graphics2D)g;
		g2d.setColor(Color.BLACK);
    
		// Draw the pattern using a for loop
		for(int i=10; i<300; i+=10) 
			g2d.drawLine(10,i,300-i,10);
	}
}
