import java.awt.*;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

@SuppressWarnings("serial")
public class GraphicsExample extends Canvas implements WindowListener
{
	public static void main(String args[]){new GraphicsExample();}
	  
	Frame frame = new Frame();
  
	public GraphicsExample() {
		// Initialise the display frame
		frame.setLayout(new BorderLayout());
		setSize(320,320);
		frame.add(this, BorderLayout.CENTER);
		frame.pack();
		frame.addWindowListener(this);
		frame.setVisible(true);
	}
  
	public void paint(Graphics g)
	{
		g.setColor(Color.BLACK);
    
		// Draw a series of black lines
		for(int i=10; i<300; i+=10) 
			g.drawLine(10,i,300-i,10);
	}


	public void windowActivated(WindowEvent arg0) {}
	public void windowClosed(WindowEvent arg0) {}
	public void windowClosing(WindowEvent arg0) {
		System.exit(0);
	}
	public void windowDeactivated(WindowEvent arg0) {}
	public void windowDeiconified(WindowEvent arg0) {}
	public void windowIconified(WindowEvent arg0) {}
	public void windowOpened(WindowEvent arg0) {}

}

